# determinize.hh File Reference

Boolean automata determinization. More...

Include dependency graph for determinize.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

Determinization algorithms
template<typename A , typename AI >
Element< A, AI > | determinize (const Element< A, AI > &a)
| Build a deterministic automaton from a Boolean automaton.
template<typename A , typename AI >
Element< A, AI > | determinize (const Element< A, AI > &a, std::map< typename Element< A, AI >::hstate_t, std::set< typename Element< A, AI >::hstate_t > > &m)
| Build a deterministic automaton from a Boolean automaton, keeping trace of state-to-states correspondences.

## Detailed Description

Boolean automata determinization.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 19:13:10 2003

See also:
  determinize()

Definition in file determinize.hh.